Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmpp.muc
Class DestroyRoom

    java.lang.Object
      org.xmpp.packet.Packet
          org.xmpp.packet.IQ
              org.xmpp.muc.DestroyRoom

    public class DestroyRoom

extends IQ

DestroyRoom is a packet that when sent will ask the server to destroy a given room. The room to destroy must be specified in the TO attribute of the IQ packet. The server will send a presence unavailable together with the alternate room and reason for the destruction to all the room occupants before destroying the room.

When destroying a room it is possible to provide an alternate room which may be replacing the room about to be destroyed. It is also possible to provide a reason for the room destruction.

Nested Class Summary

Nested classes/interfaces inherited from class org.xmpp.packet.IQ
`IQ.Type`

Field Summary

Fields inherited from class org.xmpp.packet.Packet
`docFactory, element, fromJID, toJID`

Constructor Summary
`DestroyRoom(JID alternateJID, String reason)` Creates a new DestroyRoom with the reason for the destruction and an alternate room JID.

Method Summary

Methods inherited from class org.xmpp.packet.IQ
`addExtension, createCopy, createResultIQ, deleteExtension, getChildElement, getExtension, getType, isRequest, isResponse, setChildElement, setChildElement, setType`

Methods inherited from class org.xmpp.packet.Packet
`getElement, getError, getFrom, getID, getTo, setError, setError, setFrom, setFrom, setID, setTo, setTo, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DestroyRoom

    public DestroyRoom(JID alternateJID,
                       String reason)

  Creates a new DestroyRoom with the reason for the destruction and an alternate room JID.

  Parameters:
    `alternateJID` - JID of the alternate room or `null` if none.
    `reason` - reason for the destruction or `null` if none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.